{% assign the_blog = blog | default: blogs[settings.default_blog] %}

<div class="widget blog-search">
  <h4>Blog Search</h4>
  <form id="search" class="widget-content" method="get" action="{{ shop.url }}/search">
    <input type="hidden" name="type" value="article" />
    <div class="input-group">
      <input type="text" name="q" class="form-control" placeholder="Search articles..." value="{{ search.terms }}" />
      <span class="input-group-btn">
        <button class="btn btn-default" type="submit">GO</button>
      </span>
    </div>
  </form>
</div>

{% if the_blog.articles.size > 0 %}
<div class="widget blog-recent-articles">
  <h4>Recent Posts</h4>
  <ul class="widget-content def-anch-hov">
  {% for article in the_blog.articles limit: 3 %}
    <li><a href="{{ article.url }}" title="{{ article.title }}">{{ article.title }}</a></li>
  {% endfor %}
  </ul>
</div>
{% endif %}

{% if the_blog.all_tags.size > 0 %}
<div class="widget blog-tags">
  <h4>Blog Tags</h4>
  <ul class="widget-content def-anch-hov">
  {% for tag in the_blog.all_tags %}
    <li><a href="{{ the_blog.url }}/tagged/{{ tag | handleize }}" title="{{ tag }}">{{ tag }}</a></li>
  {% endfor %}
  </ul>
</div>
{% endif %}